export declare type MessageFun = (msg: string, options?: any) => void;
/**
 * 消息提示接口
 */
export interface MessageHandler {
    success: MessageFun;
    info: MessageFun;
    warning: MessageFun;
    error: MessageFun;
}
/**
 * 消息类型
 */
export type MessageType = `${string & keyof MessageHandler}`;
/**
 * 使用消息函数，用来显示提示消息
 * @param msgType 消息类型
 * @returns
 */
export declare function useMessage(): MessageHandler;
export declare function useMessage(msgType: MessageType): MessageFun;
/**
 * 设置消息处理对象
 * @param _msg
 */
export declare const setupMessage: (_msg: MessageHandler) => void;
